
package com.tmerclub.cloud.common.order.constant;

/**
 * 订单类型
 * @author tmerclub
 * @date 2020/12/18
 */
public enum OrderType {

    /**
     * 普通订单
     */
    ORDINARY(0),
    /**
     * 团购订单
     */
    GROUP(1),

    /**
     * 秒杀订单
     */
    SECKILL(2),
    /**
     * 积分订单
     */
    SCORE(3),
    /**
     * 回收订单
     */
    RECYCLE(4);


    private final Integer num;

    public Integer value() {
        return num;
    }

    OrderType(Integer num) {
        this.num = num;
    }

    public static OrderType instance(Integer value) {
        OrderType[] enums = values();
        for (OrderType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
